<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Home Asignacion</strong>
    </div>
    <div class="cotm">
      <div class="tmod">
        <strong>Elige un tipo Asignacion</strong>
      </div>
    </div>
    <!-- Contenido -->
    <div class="contSecc">
      <v-row justify="center">
        <v-col
          v-for="(card, indexCard) in cards"
          :key="card.title"
          :xs="12"
          :sm="12"
          :md="6"
          :lg="3"
          :offset-lg="indexCard === 0 ? 0 : 0"
        >
          <v-card :to="card.to" :color="card.color" class="generalCard pa-4">
            <v-avatar class="ma-3" size="200" tile>
              <v-img
                :contain="true"
                :aspect-ratio="1"
                position="center"
                :src="card.src"
                :lazy-src="card.src"
                class="white--text align-end"
                height="150"
              >
                <template v-slot:placeholder>
                  <v-row
                    class="fill-height ma-0"
                    align="center"
                    justify="center"
                  >
                    <v-progress-circular
                      indeterminate
                      color="grey lighten-5"
                    ></v-progress-circular>
                  </v-row>
                </template>
              </v-img>
            </v-avatar>
            <v-card-title
              class="cardTitle justify-center black--text"
              v-text="card.title"
            ></v-card-title>
            <v-card-subtitle
              class="black--text"
              v-text="card.description"
            ></v-card-subtitle>
          </v-card>
        </v-col>
      </v-row>
    </div>
    <!-- Fin conSecc -->
  </div>
</template>
<style scoped>
.generalCard .cardTitle {
  border-top: 2px solid #ffcd00;
}
</style>
<script>
export default {
  name: "modelo_franquicia_asignaciones_home_asignacion",
  data() {
    return {
      cards: [
        /*
        {
          title: "Asignaciones Especiales",
          src: require("@/assets/img/alta-protocolo-aseguramiento-b.svg"),
          description: "",
          to: {
                name: "modelo_franquicia_asignacion_especial",
            params: {
              tipo_protocolo: "aseguramiento-calidad"
            }
          },
          color: "#808080"
        },*/
        {
          title: "Visor Asignaciones",
          src: require("@/assets/img/asignacionSup/visualizar.svg"),
          description: "Visualiza o da de alta asignaciones",
          to: {
            name: "modelo_franquicia_asignaciones_visor_asignacion",
          },
          color: "#faf9f9", //"#faf9f9"
        },
        {
          title: "Asignaciones Masivas",
          src: require("@/assets/img/asignacionSup/carga.svg"),
          description: "Asigna certificadores a las distintas Sucursales",
          to: {
            name: "modelo_franquicia_asignaciones_asignador_masivo_supervision",
            params: {
              tipo_protocolo: "aseguramiento-calidad",
            },
          },
          color: "#faf9f9",
        },
      ],
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Modelo de Revision en Sitio",
          disabled: false,
          exact: true,
          to: {
            name: "certificacion_calidad_gerente",
          },
        },
        {
          text: "Asignación de Punto de Venta",
          disabled: true,
        },
      ],
    };
  },
};
</script>
